Get List of Data Templates in a Team

Open in ChatGPT Open in ChatGPT to ask questions about this page
Open in Claude Open in Claude to ask questions about this page
Copy as MarkdownCopy this page as markdown to use with AI assistants
View as Markdown Open this page as markdown in a new tab

This API fetches a list of all the data templates associated with a WorkDrive team.

Endpoints

OAuth Scope

WorkDrive.team.READCopied!

Request Example

cURL
cURL
Deluge
Copied!
curl --request GET \
  --url https://www.zohoapis.com/workdrive/api/v1/teams/{team_id}/datatemplates \
  --header 'Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52'

Path Parameters

team_idstring(Required)

The unique ID that represents a team.

Response Example

R008

F000

200
200
401
500
Copied!
  {
    "data": [
      {
        "id": "nrkroc4c5f3259e2a410da17c3915ea990dde-24000000581001",
        "type": "datatemplates",
        "attributes": {
          "created_time_i18": "Sep 7, 6:40 PM",
          "name": "Recruitment - 2021",
          "modified_by": "15077877",
          "description": "Associate files and folders of all candidates registered for recruitment in 2021",
          "modified_by_user": "Anna Baker",
          "team_id": "nrkroc4c5f3259e2a410da17c3915ea990dde",
          "custom_fields_count": 2,
          "created_time_in_millisecond": 1631020235366,
          "created_by": "15077877",
          "created_by_user": "Anna Baker",
          "status": true
        },
        "relationships": {
          "customfields": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/api/v1/datatemplates/nrkroc4c5f3259e2a410da17c3915ea990dde-24000000581001/relationships/customfields",
              "related": "https://www.zohoapis.com/workdrive/api/v1/datatemplates/nrkroc4c5f3259e2a410da17c3915ea990dde-24000000581001/customfields"
            }
          }
        },
        "links": {
          "self": "https://www.zohoapis.com/workdrive/api/v1/datatemplates/nrkroc4c5f3259e2a410da17c3915ea990dde-24000000581001"
        }
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R008",
        "title": "Unauthorized access"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "F000",
        "title": "General exception"
      }
    ]
  }
                
Show full